/* proto.h */

#include <stdio.h>
#ifdef UWOCSD 
  int atoi(char *str);
  int close(int fd);
  int fclose(FILE *stream);
  int fflush(FILE * stream);
  int fprintf(FILE *stream, const char *format,...);
  int fputc(int c, FILE * stream);
  int fputs(const char *s, FILE *stream);
  int fscanf(FILE *stream, char *format, ...);
  int sscanf(char *s, const char *format, ...);
  char *strcat(char *s1, char *s2);
  char *strrchr(char *s, int c);
  char *strchr(char *s, int c);
  char *strdup(char *s);
  int strncmp(char *s1, char *s2, int n);
  int strncasecmp(char *s1, char *s2, int n);
  int system(const char * s);
  void perror(char *s);
  int printf(const char *format, ...);
  int puts(const char *s);
  void i_lcrans_(int *x,int *n, int *l, int *u);
  void free(void *);
#else
  #include <string.h>
  char *strdup(const char *s1);
#endif


/* util.c prototypes */
void swerr(const char proc[], const string err_mess, const int error_level);
void GetStringFromUser(char instring[], const unsigned int maxlen, 
     const string prompt);
bool ReadString(char buffer[], const unsigned int length);
bool file_exists(const string filename);
bool close_file(const string proc, const string fname, FILE * handle);
FILE * open_file(const string proc, const string fname, const string mode);
char chop (string s);
bool yes(int *err);
FILE * OutputFile(char outputname[], const unsigned int maxlength);
int  getchoice(const elem_t low, const elem_t high, const char prompt[], 
     const elem_t no_change);
bool wait_for_enter_key(void);
